<?php

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\Manager;
use Teknisa\MAN\Utilities;
use Teknisa\MAN\Services;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;

class SetorPorFilial extends CrudWithParameterBag{
    
    protected $dataSourceName = 'setorPorFilialMensagensKds';
    protected $parameterBagColumns = array("NRORG","CDMENSAGEM");
    protected $utilService;
    protected $service;
    
    public function __construct (Manager $manager, ParameterBag $parameterBag, Utilities\Util $utilService, Services\SetorPorFilial $service){
        $this->service = $service;
        $this->utilService = $utilService;
        parent::__construct($manager,$parameterBag);
    }
    
    public function saveSetor (DTO\Request\Row $request, DTO\Response $response){
        $conditions = $this->getParams($request);
        $result = $this->service->saveSetor($conditions);
    }
    
    private function getParams ($request){
        return $this->utilService->getParamsAsArray($request);
    }
}